
/**
 * JMichelle (Java Midori Shell)
 * Copyright (C) 2000 Midori IGA 
 *   (http://www01.u-page.so-net.ne.jp/db3/midori/midosoft.html)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package jp.ne.nifty.iga.midori.shell.cmd;

import jp.ne.nifty.iga.midori.shell.eng.MdShellEnv;
import jp.ne.nifty.iga.midori.shell.io.MdShellUtilExec;
import jp.ne.nifty.iga.midori.shell.util.*;
import java.text.Collator;
import java.util.Vector;

public class MdShellCommandMemo
	extends MdShellCmdDefault
{
	public MdShellCommandMemo()
	{
		setCommand("memo");
		setDisplayString("memo on development");
	}

	public void processCommand(MdShellEnv shellenv)
	{
		{
			shellenv.getOut().println("memo");
			shellenv.getOut().println(" *. mcd <directory> normalize (like cd)");
			shellenv.getOut().println(" *. child process invoke type add like system. (-x, -s)");
			shellenv.getOut().println(" *. add Usage.html for usage.");
			shellenv.getOut().println("");
			shellenv.getOut().println(" *. more ftp");
			shellenv.getOut().println(" *. mime base64 encode, decode");
			shellenv.getOut().println(" *. char converter. ie. SJIS to EUC");
			shellenv.getOut().println("");
			shellenv.getOut().println(" *. copy");
			shellenv.getOut().println(" *. remove, move, rename.");
			shellenv.getOut().println(" *. select -> file -> wedit, iedit");
			shellenv.getOut().println("");
			shellenv.getOut().println(" *. standard stream pipeline.");
			shellenv.getOut().println(" *. standard stream redirection.");
			shellenv.getOut().println("");
			shellenv.getOut().println(" *. mgrep, egrep command impl.");
			shellenv.getOut().println(" *. more, head, tail, touch command impl.");
			shellenv.getOut().println("");
		}
	}
}


